Subject: Re: [PATCH] net: fman: Use of_node_put(muram_node) call only once in read_dts_node()

From: Simon Horman <[email-masked]>
Date: Sun, 22 Sep 2024 17:41:25 +0100

On Thu, Sep 19, 2024 at 06:15:23PM +0200, Markus Elfring wrote:
> From: Markus Elfring <[email-masked]>
> Date: Thu, 19 Sep 2024 18:05:28 +0200
> 
> A of_node_put(muram_node) call was immediately used after a return code
> check for a of_address_to_resource() call in this function implementation.
> Thus use such a function call only once instead directly before the check.
> 
> This issue was transformed by using the Coccinelle software.
> 
> Signed-off-by: Markus Elfring <[email-masked]>

Hi Markus,

I agree with Jacob Keller's comment elsewhere that this seems
to be a reasonable change.

However, I am assuming this is targeted at net-next.
And net-next is currently closed for the v6.12 merge window.
Please consider reposting this patch once net-next reopens.
That will occur after v6.12-rc1 has been released. Which
I expect to be about a week from now.

Also, for networking patches please tag non-bug fixes for
net-next (and bug fixes for net, being sure to include a Fixes tag).

	Subject: [PATCH net-next] ...

Please see https://docs.kernel.org/process/maintainer-netdev.html

-- 
pw-bot: defer